RMMOD(8)

NAME
rmmod - unload loadable modules

SYNOPSIS
rmmod [ -ars ] module ...

DESCRIPTION
Rmmod unloads loadable modules from the running kernel.

Rmmod tries to unload a set of modules from the kernel, with the restriction that they are not in use and that they are not referred to by other modules.

If more than one module is named on the command line, the modules will be removed in the given order. This supports unloading of stacked modules.

With the option '-r' a recursive removal of modules will be attempted. This means that if a top module in a stack is named on the command line, all modules that are used by this module will be removed as well, if possible.

  OPTIONS

-a  Remove all unused autocleanable modules.

-r  Remove a module stack.

-s  Output everything to syslog(3) instead of the terminal.

SEE ALSO
insmod(8), lsmod(8), ksyms(8), modprobe(8), modules(2)

HISTORY
Module support was first conceived by Anonymous
Initial Linux version by Bas Laarhoven <bas@vimec.nl>
Version 0.99.14 by Jon Tombs <jon@gtex02.us.es>
Extended by Bjorn Ekwall <bj0rn@blox.se>
Updated for 2.1.17 by Richard Henderson <rth@tamu.edu>
Updated for 2.2.2 by by Bjorn Ekwall <bj0rn@blox.se>